#ifndef __DELAY_H_
#define __DELAY_H_			   
#include "base/define.h"
#include <stdint.h>


void Systick_init(uint32_t tick);
void delay_ms(uint32_t nms);
void delay_us(uint32_t nus);
void delay_nop(uint32_t nop);
#define delay_os_ms(ms)    rt_thread_delay(ms)
void delay_wait_start(void);
void delay_wait_untill_ms(uint32_t nms);

#endif





























